Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface ResourceRefConfigCR

All Known Subinterfaces:
  ClusterConfig, StandaloneServerConfig

public interface ResourceRefConfigCR

Allows creation and removal of ResourceRefConfig.

Method Summary
`ResourceRefConfig` | `createResourceRefConfig(java.lang.String referencedResourceName)` Creates a new resource-ref element for the given target
`ResourceRefConfig` | `createResourceRefConfig(java.lang.String referencedResourceName, boolean enabled)` Creates a new resource-ref element.
`ResourceRefConfig` | `createResourceRefConfig(java.lang.String referencedResourceName, java.util.Map optional)` Creates a new resource-ref element for the given target
`void` | `removeResourceRefConfig(java.lang.String name)`

Method Detail

### createResourceRefConfig

    public ResourceRefConfig createResourceRefConfig(java.lang.String referencedResourceName,
                                                     java.util.Map optional)

  Creates a new resource-ref element for the given target

  Parameters:
    `referencedResourceName` - resource name
    `optional` - Map of optional attributes.
  Returns:
    A proxy to the ResourceRefConfig MBean.

### createResourceRefConfig

    public ResourceRefConfig createResourceRefConfig(java.lang.String referencedResourceName)

  Creates a new resource-ref element for the given target

  Parameters:
    `referencedResourceName` - resource name
  Returns:
    A proxy to the ResourceRefConfig MBean.

### createResourceRefConfig

    public ResourceRefConfig createResourceRefConfig(java.lang.String referencedResourceName,
                                                     boolean enabled)

  Creates a new resource-ref element.

  Parameters:
    `referencedResourceName` - resource name
    `enabled` -
  Returns:
    A proxy to the ResourceRefConfig MBean.

### removeResourceRefConfig

    public void removeResourceRefConfig(java.lang.String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.